xine-lib: vdpau_accel_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vdpau_accel_t Struct Reference

`#include <accel_vdpau.h>`

## Data Fields
vo_frame_t * | vo_frame
VdpDevice | vdp_device
VdpGetErrorString * | vdp_get_error_string
VdpDecoderCreate * | vdp_decoder_create
VdpDecoderDestroy * | vdp_decoder_destroy
VdpDecoderRender * | vdp_decoder_render
void(* | lock )(vo_frame_t *frame)
void(* | unlock )(vo_frame_t *frame)
VdpVideoSurface | surface
VdpChromaType | chroma
int | vdp_runtime_nr
int * | current_vdp_runtime_nr

## Field Documentation

## ◆ chroma

VdpChromaType vdpau_accel_t::chroma

Referenced by vdpau_alloc_frame(), vdpau_provide_standard_frame_data(), and vdpau_update_frame_format().

## ◆ current_vdp_runtime_nr

int* vdpau_accel_t::current_vdp_runtime_nr

Referenced by decode_picture(), decode_picture(), decode_picture(), vdpau_alloc_frame(), and vdpau_provide_standard_frame_data().

## ◆ lock

void(* vdpau_accel_t::lock) (vo_frame_t *frame)

Referenced by decode_render(), decode_render(), decode_render(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), vdpau_alloc_frame(), and vdpau_h264_alter_frame_render().

## ◆ surface

VdpVideoSurface vdpau_accel_t::surface

Referenced by decode_picture(), decode_picture(), decode_picture(), decode_render(), decode_render(), decode_render(), vdpau_alloc_frame(), vdpau_display_frame(), vdpau_duplicate_frame_data(), vdpau_h264_alter_frame_render(), vdpau_provide_standard_frame_data(), and vdpau_update_frame_format().

## ◆ unlock

void(* vdpau_accel_t::unlock) (vo_frame_t *frame)

Referenced by decode_render(), decode_render(), decode_render(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), vdpau_alloc_frame(), and vdpau_h264_alter_frame_render().

## ◆ vdp_decoder_create

VdpDecoderCreate* vdpau_accel_t::vdp_decoder_create

Referenced by decode_render(), decode_render(), decode_render(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), vdpau_alloc_frame(), and vdpau_h264_alter_frame_render().

## ◆ vdp_decoder_destroy

VdpDecoderDestroy* vdpau_accel_t::vdp_decoder_destroy

Referenced by decode_render(), decode_render(), decode_render(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), vdpau_alloc_frame(), and vdpau_h264_alter_frame_render().

## ◆ vdp_decoder_render

VdpDecoderRender* vdpau_accel_t::vdp_decoder_render

Referenced by decode_render(), decode_render(), decode_render(), vdpau_alloc_frame(), and vdpau_h264_alter_frame_render().

## ◆ vdp_device

VdpDevice vdpau_accel_t::vdp_device

Referenced by decode_render(), decode_render(), decode_render(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), vdpau_alloc_frame(), vdpau_h264_alter_frame_render(), and vdpau_update_frame_format().

## ◆ vdp_get_error_string

VdpGetErrorString* vdpau_accel_t::vdp_get_error_string

Referenced by decode_render(), decode_render(), decode_render(), vdpau_alloc_frame(), and vdpau_h264_alter_frame_render().

## ◆ vdp_runtime_nr

int vdpau_accel_t::vdp_runtime_nr

Referenced by decode_render(), decode_render(), decode_render(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), vdpau_alloc_frame(), vdpau_duplicate_frame_data(), vdpau_h264_alter_frame_render(), vdpau_provide_standard_frame_data(), and vdpau_update_frame_format().

## ◆ vo_frame

vo_frame_t* vdpau_accel_t::vo_frame

Referenced by decode_render(), decode_render(), decode_render(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), vdpau_alloc_frame(), vdpau_h264_alter_frame_render(), and vdpau_provide_standard_frame_data().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/xine-engine/accel_vdpau.h